import React, { useEffect, useState } from 'react';
import { Animated, StyleSheet, View } from 'react-native';
import { HORIZONTAL_PADDING_DEFAULT, VERTICAL_PADDING_DEFAULT } from '../../../constants';
export const LinePagination = ({ currentPage, totalPages, paginationSelectedColor, paginationColor, }) => {
    // const sizeAnim = useRef(new Animated.Value(getToValue())).current;
    const [selectedPage, setSelectedPage] = useState(-1);
    const [sizeAnim, setSizeAnim] = useState(getToValue()); // TODO: make this animated
    function getToValue() {
        return (currentPage + 1) / (totalPages ?? 1) * 100;
    }
    useEffect(() => {
        const toValue = getToValue();
        if (currentPage !== selectedPage) {
            // Animated.timing(sizeAnim, {
            //   toValue: toValue,
            //   duration: 50,
            //   useNativeDriver: false,
            //   easing: Easing.ease,
            // }).start();
            setSelectedPage(currentPage);
            setSizeAnim(toValue);
        }
    }, [currentPage]);
    return (<View style={styles.container}>
      <View style={[styles.lineContainer, { backgroundColor: paginationColor }]}>
        <Animated.View style={[styles.line, {
                width: sizeAnim + '%',
                backgroundColor: paginationSelectedColor,
            }]}/>
      </View>
    </View>);
};
const styles = StyleSheet.create({
    container: {
        marginBottom: VERTICAL_PADDING_DEFAULT,
        marginHorizontal: HORIZONTAL_PADDING_DEFAULT,
        height: 8,
        alignItems: 'center',
    },
    lineContainer: {
        flex: 1,
        alignItems: 'flex-start',
        borderRadius: 15,
        height: 8,
        margin: 'auto',
        backgroundColor: '#E6E6E6',
        width: '50%'
    },
    line: {
        backgroundColor: '#000000',
        borderRadius: 32,
        height: 8,
    }
});
