import React, { FC } from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import { PageProps } from './Page';
import { PrimaryButtonProps } from './components/PrimaryButton';
import { FooterProps } from './Footer';
import { SecondaryButtonProps } from './components/SecondaryButton';
import { PageData, PaginationProps, TextStyles } from './types';
import { HeaderProps } from './Header';
export type PageType = string;
export type OnboardPageConfigParams<Props> = {
    props: Props;
} & PageProps & TextStyles;
export type OnboardPageTypesConfig = {
    [key: string]: (params: OnboardPageConfigParams<any>) => React.ReactNode;
};
export interface OnboardFlowProps {
    backgroundImageUri?: string;
    dismissButtonStyle?: StyleProp<ViewStyle> | undefined;
    /**
     * @deprecated Use `type='fullscreen'` instead
     */
    fullscreenModal?: boolean;
    onBack?: () => void;
    onDone?: () => void;
    onNext?: () => void;
    pageStyle?: StyleProp<ViewStyle> | undefined;
    pageTypes?: OnboardPageTypesConfig;
    pages?: PageData[];
    paginationColor?: string;
    paginationSelectedColor?: string;
    showDismissButton?: boolean;
    style?: StyleProp<ViewStyle> | undefined;
    type?: 'inline' | 'fullscreen' | 'bottom-sheet';
    HeaderComponent?: FC<HeaderProps>;
    FooterComponent?: FC<FooterProps>;
    PaginationComponent?: FC<PaginationProps>;
    PrimaryButtonComponent?: FC<PrimaryButtonProps>;
    SecondaryButtonComponent?: FC<SecondaryButtonProps>;
}
export interface OnboardComponents {
    PrimaryButtonComponent: FC<PrimaryButtonProps>;
    SecondaryButtonComponent: FC<SecondaryButtonProps>;
    PaginationComponent: FC<PaginationProps>;
}
export declare const OnboardFlow: FC<OnboardFlowProps & TextStyles>;
